--跨服详情
Lua_CrossServerTipsWindow = class("Lua_CrossServerTipsWindow", Lua_Window);
function Lua_CrossServerTipsWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_CrossServerTipsWindow";
	self.skinName = "CrossServerTipsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_CrossServerTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,250, 260, Lua_AxisDefine.Vertical);
    self.dragList:setListCell(Lua_CrossServerTipsCell, 250, 35, 1);
    self.dragList:setLocation(0, 118);

	self:showCrossTipsWinInfo();
end

function Lua_CrossServerTipsWindow:showCrossTipsWinInfo()
	local data = DataCenter.crossServerData.server_list;
	self.dragList:setArrayData(data);

	self:updateIntervalTime();
	Lua_CommonUtil.addTimer( "updateIntervalTime", 1, self, self.updateIntervalTime);
end

function Lua_CrossServerTipsWindow:updateIntervalTime()
    local left_time = DataCenter.crossServerData.open_day - DataCenter.roleData.serverTime;
    if left_time >= 0 then
        local show_time = Lua_TimeTransform.transSeconds18(left_time);
        self.time_txt.text = show_time;
    else
        Lua_CommonUtil.removeTimer(self, self.updateIntervalTime);
        self.time_txt.text = "";
    end
end

function Lua_CrossServerTipsWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.updateIntervalTime);
	self:superCall("dispose");
end


















Lua_CrossServerTipsCell = class("Lua_CrossServerTipsCell", Lua_ListCell);
function Lua_CrossServerTipsCell:ctor(p)
    self:superCall("ctor", p,"CrossServerTipsCell_skin");
end

function Lua_CrossServerTipsCell:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_CrossServerTipsCell:setData(data)
	local value;
	if data.type == 1 then
		value = 202605;
	else
		value = 202604;
	end
	self.des.text = data.server_prev.." "..LanUtil.formateStr(value, tostring(data.world_level));
end

function Lua_CrossServerTipsCell:dispose()
    self:superCall("dispose");
end