--跨服时空
Lua_CrossServerWindow = class("Lua_CrossServerWindow", Lua_Window);
function Lua_CrossServerWindow:ctor()
	self:superCall("ctor");
	
	self.layer = MainWinDefine.MAIN_MENU_LAYER;
	self.windowName = "Lua_CrossServerWindow";
	self.skinName = "CrossServerWindow_skin";
	self.isFullSizeWin = true;
	self.showBackBtn = true;
end

function Lua_CrossServerWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	self:addLuaEvent("SELECT_CROSS_ITEM", self, self.updateCrossItemInfo);
	self:addLuaEvent("CROSS_SERVER_INFO", self, self.updateCrossShowInfo);
end

function Lua_CrossServerWindow:buildShowItem()
	self:superCall("buildShowItem")
	self.showTipsDes = "";
	self.open_lab:setEnable(false);
	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(-124, -287, 0);
	self.rewardList.pivot = 1;
	self.rewardList.canClick = true;

	self.dragList = Lua_DragList.new(self.content,700, 116, Lua_AxisDefine.Horizontal);
    self.dragList:setListCell(Lua_CrossServerCell, 160, 116, 1);
    self.dragList:setLocation(0, -425);

    self.goBtn:addClickFuntion(self,self.onGoBtnClick);
	self.desBtn:addClickFuntion(self,self.onDesBtnClick);
	self.helpBtn:addClickFuntion(self,self.onHelpBtnClick);

	self:showCrossWinInfo();
end

function Lua_CrossServerWindow:showCrossWinInfo()
	local arr = DataCenter.crossServerUtil.cCrossSeverInfo;
	self.dragList:setArrayData(arr);
	self.dragList:setSelected(1);
	self:updateCrossItemInfo(arr[1])
end

function Lua_CrossServerWindow:updateCrossItemInfo(data)
	self.data = data;
	self.name_lab.text = data.name;
	self.content_lab.text = data.des;
	self.rewardList:setArrayData(data.reward_list);

	Lua_ProxyManager.getProxy("Lua_CrossServerProxy"):sCrossServerInfo(data.id);
end

function Lua_CrossServerWindow:updateCrossShowInfo()
	self.open_lab:setEnable(false);
	if self.data.isOpened then
		self.showTipsDes = LanUtil.getValue(202602);
	else
		self.showTipsDes = DataCenter.crossServerData:openedDes(data.func_open_id);
	end
	self.open_lab.text = self.showTipsDes;
end

--详情
function Lua_CrossServerWindow:onGoBtnClick()
	if self.data.isOpened then
		DataCenter.funcPathUtil:gotoFunction(self.data.func_path_id);
	else
		OperateAlert.show(self.showTipsDes);
	end
end

--详情
function Lua_CrossServerWindow:onDesBtnClick()
	Lua_WindowUtil.openWin("Lua_CrossServerTipsWindow",Lua_WinParam.ACTION_OPEN);
end

--帮助
function Lua_CrossServerWindow:onHelpBtnClick()
	local tipsData = { des = LanUtil.getValue(202607), posX = 80, posY = 462 };
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end

function Lua_CrossServerWindow:dispose()
	self.data = nil;
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end


















Lua_CrossServerCell = class("Lua_CrossServerCell", Lua_ListCell);
function Lua_CrossServerCell:ctor(p)
    self:superCall("ctor", p,"CrossServerCell_skin");
end

function Lua_CrossServerCell:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_CrossServerCell:setData(data)
    self.data = data;
    if data.isOpened then
    	self.bar:setAltas("iconantlas1","common_progress_001_f");
    else
    	self.bar:setAltas("iconantlas1","common_progress_001_b");
    end
    self.icon:setGray(not data.isOpened);
end

function Lua_CrossServerCell:onPressClick()
	Lua_MsgUtil.callFunc("SELECT_CROSS_ITEM", self.data);
end

function Lua_CrossServerCell:onSelectionChange(val)
    self:superCall("onSelectionChange",val);
    self.select:setEnable(val);
end

function Lua_CrossServerCell:onIconBtnClick()
    Lua_MsgUtil.callFunc("SELECT_SHOW_ATTRS_WINOW_INDEX", self.data); 
end

function Lua_CrossServerCell:dispose()
    self.data = nil;
    self:superCall("dispose");
end